Subject: Re: bug#39233: .elc file - possibly outdated backward compatibility comments

From: Eli Zaretskii <[email-masked]>
Date: Fri, 24 Jan 2020 17:23:27 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 24 Jan 2020 09:22:49 -0500
> 
> > Will these changes still allow old Emacs binaries to load *.elc files
> > compiled by Emacs after these changes?
> 
> New Emacsen loading old .elc won't be affected.
> 
> Old Emacsen loading .elc files compiled by new Emacsen is something that
> has always been risky, tho it has sometimes worked.  My proposal is to
> make it emit a warning (so it will work as much as it does now, but
> will bring to the attention of the user that it's in murky territory).

A warning is a (minor) annoyance.  Maybe someone will be annoyed
enough to complain (we shall see), but for the use cases I need this
-- which is running old Emacs binaries to quickly bisect bugs in C
code or in preloaded Lisp -- this doesn't sound like a terrible
problem.  As long as this use case works as well (or as badly) as it
did before, modulo the warning.

I feared that this won't work at all, because the *.elc files lack
something which old Emacs binaries will look for at load time.

Thanks.